@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;1,300;1,400;1,500&display=swap");

.nice-input-container {
    --nice-input-border-color: #8989896e;
    --nice-input-color: blue;
    --nice-input-background-color: white;
    --nice-input-padding: 1rem;
    --nice-input-font-size: 22px;
    --nice-input-placeholder-open-font-size: calc(var(--nice-input-font-size) * 0.7);

    display: flex;
    flex-flow: column;

    justify-content: center;
    position: relative;

    font-family: "Poppins", sans-serif;
    font-size: var(--nice-input-font-size);

    background-color: var(--nice-input-background-color);
    border-radius: 6px;
}

.nice-input-container > input.nice-input,
.nice-input-container > textarea.nice-input,
.nice-input-container > select.nice-input {
    width: 100%;

    font-size: var(--nice-input-font-size);
    margin: 0;
    padding: var(--nice-input-padding);

    border: 1px solid var(--nice-input-border-color);
    border-radius: inherit;
    box-sizing: border-box;

    transition: background-color 0.3s, box-shadow 0.3s, outline 0.3s, border-color 0.3s;

    display: block;
    background-color: var(--nice-input-background-color);

    border: 1px solid var(--nice-input-border-color);
}

.nice-input-container > select.nice-input:hover {
    cursor: pointer;
}

.nice-input-container > .nice-input-placeholder {
    --nice-input-placeholder-padding-amount: 0.75;

    position: absolute;
    padding: 0 calc(var(--nice-input-padding) * var(--nice-input-placeholder-padding-amount));
    margin-left: calc(var(--nice-input-padding) * (1 - var(--nice-input-placeholder-padding-amount)));
    transition: 0.3s;

    font-weight: 200;
    text-transform: uppercase;

    background: inherit;
    box-sizing: content-box;
}

.nice-input-container > input ~ .nice-input-placeholder:hover {
    cursor: text;
}

.nice-input-container > textarea ~ .nice-input-placeholder:hover,
.nice-input-container > select ~ .nice-input-placeholder:hover {
    cursor: default;
}

.nice-input-container:hover .nice-input,
.nice-input-container > input.nice-input.open,
.nice-input-container > input.nice-input:focus-visible,
.nice-input-container > textarea.nice-input.open,
.nice-input-container > textarea.nice-input:focus-visible,
.nice-input-container > select.nice-input.open,
.nice-input-container > select.nice-input:focus-visible {
    border-color: var(--nice-input-color);
    box-shadow: inset 0 0 35px -20px var(--nice-input-color);
    outline: none;
}

.nice-input-container > input.nice-input.open ~ .nice-input-placeholder,
.nice-input-container > input.nice-input:focus-visible ~ .nice-input-placeholder,
.nice-input-container > textarea.nice-input ~ .nice-input-placeholder,
.nice-input-container > select.nice-input ~ .nice-input-placeholder {
    font-size: var(--nice-input-placeholder-open-font-size);
    font-weight: 500;

    text-transform: none;
}

.nice-input-container > textarea.nice-input ~ .nice-input-placeholder:not(.filled),
.nice-input-container > select.nice-input ~ .nice-input-placeholder:not(.filled) {
    border-left: 1px solid;
    border-right: 1px solid;
    border-color: var(--nice-input-border-color);
}

.nice-input-container > textarea.nice-input ~ .nice-input-placeholder.filled,
.nice-input-container > select.nice-input ~ .nice-input-placeholder.filled {
    background-color: var(--nice-input-border-color);
    border-radius: inherit;
}

.nice-input-container > input.nice-input.open ~ .nice-input-placeholder,
.nice-input-container > input.nice-input:focus-visible ~ .nice-input-placeholder {
    transform: translateX(15px) translateY(calc(-1 * var(--nice-input-padding))) translateY(-50%) translateY(calc((var(--nice-input-font-size) - var(--nice-input-placeholder-open-font-size)) / -2));
}

.nice-input-container > textarea.nice-input ~ .nice-input-placeholder,
.nice-input-container > select.nice-input ~ .nice-input-placeholder {
    transform: translateX(15px) translateY(-50%);
    top: 0px;
}

.nice-input-container > input.nice-input.open ~ .nice-input-placeholder:not(.filled),
.nice-input-container > input.nice-input:focus-visible ~ .nice-input-placeholder:not(.filled),
.nice-input-container > textarea.nice-input:focus-visible ~ .nice-input-placeholder:not(.filled),
.nice-input-container > select.nice-input:focus-visible ~ .nice-input-placeholder:not(.filled),
.nice-input-container:hover > textarea.nice-input ~ .nice-input-placeholder:not(.filled),
.nice-input-container:hover > select.nice-input ~ .nice-input-placeholder:not(.filled) {
    border-left: 1px solid;
    border-right: 1px solid;
    border-color: var(--nice-input-color);
}

.nice-input-container > input.nice-input.open ~ .nice-input-placeholder.filled,
.nice-input-container > input.nice-input:focus-visible ~ .nice-input-placeholder.filled,
.nice-input-container > textarea.nice-input:focus-visible ~ .nice-input-placeholder.filled,
.nice-input-container > select.nice-input:focus-visible ~ .nice-input-placeholder.filled,
.nice-input-container:hover > textarea.nice-input ~ .nice-input-placeholder.filled,
.nice-input-container:hover > select.nice-input ~ .nice-input-placeholder.filled {
    background-color: var(--nice-input-color);
    border-radius: inherit;
}